Skip to main content

Query Risk Unit Forced Liquidation Transfer Records(USER_DATA)

API Description

Query the institution loan risk unit transfer records during forced liquidation. During the risk unit liquidation, funds from the collateral account may be transferred to the credit account to repay the principal and interest of institutional loans.This endpoint is accessible only with the credit account API key.

HTTP Request

GET /sapi/v1/margin/loan-group/force-liquidation-transfer-record

Request Weight

1(IP)

Request Parameters

NameTypeMandatoryDescription
startTimeLONGNO
endTimeLONGNO
currentLONGNOThe currently querying page. Start from 1. Default:1
sizeLONGNODefault:10 Max:100
recvWindowLONGNOThe value cannot be greater than 60000
timestampLONGYES
  • Response in descending order
  • If neither startTime nor endTime is sent, the recent 7-day data will be returned.
  • If startTime is not sent, default is endTime - 7days. If endTime is not sent, current time will be returned by default.
  • startTime set as endTime - 7days by default, endTime set as current time by default.
  • The length between startTime and endTime cannot exceed 100 days, otherwise an error is reported and no record is returned.

Response Example

{
"total": 2,
"rows": [
{
"liquidationId": 56,
"liquidationTransferRecord": [
{
"transferTime": 1765378400855,
"fromUid": 1000277033525,
"fromAccountType": "PORTFOLIO_MARGIN",
"toUid": 1000277033505,
"toAccountType": "PORTFOLIO_MARGIN",
"status": "CONFIRM",
"assets": [
{
"assetName": "USDT",
"amount": "17750.6316"
}
]
},
{
"transferTime": 1765378830528,
"fromUid": 1000277296026,
"fromAccountType": "SPOT",
"toUid": 1000277033505,
"toAccountType": "PORTFOLIO_MARGIN",
"status": "CONFIRM",
"assets": [
{
"assetName": "BTC",
"amount": "0.5"
}
]
}
]
},
{
"liquidationId": 55,
"liquidationTransferRecord": [
{
"transferTime": 1765374361589,
"fromUid": 1000277033515,
"fromAccountType": "CROSS_MARGIN",
"toUid": 1000277033505,
"toAccountType": "PORTFOLIO_MARGIN",
"status": "CONFIRM",
"assets": [
{
"assetName": "USDT",
"amount": "999.999024"
}
]
},
{
"transferTime": 1765375342535,
"fromUid": 1000277033518,
"fromAccountType": "PORTFOLIO_MARGIN",
"toUid": 1000277033505,
"toAccountType": "PORTFOLIO_MARGIN",
"status": "CONFIRM",
"assets": [
{
"assetName": "USDT",
"amount": "999.999024"
}
]
},
{
"transferTime": 1765375640990,
"fromUid": 1000277033525,
"fromAccountType": "PORTFOLIO_MARGIN",
"toUid": 1000277033505,
"toAccountType": "PORTFOLIO_MARGIN",
"status": "CONFIRM",
"assets": [
{
"assetName": "USDT",
"amount": "999.999024"
}
]
}
]
}
]
}

Response detail desc:

NameTypeDescription
liquidationIdLongRisk unit liquidation unique identifier
liquidationTransferRecordObject ArrayList of transfer records related to the liquidationId.
→transferTimeLongTimestamp of the transfer event.
→fromUidStringUID of the account transferring the assets.
→fromAccountTypeStringSPOT or PORTFOLIO MARGIN or CROSS MARGIN ACCOUNT
→toUidStringUID of the account receiving the assets.
→toAccountTypeStringSPOT or PORTFOLIO MARGIN or CROSS MARGIN ACCOUNT
→statusStringCurrent status of the transfer.
assetsObject Array
→assetNameStringName of the transferred token.
→amountStringAmount of the token transferred.